> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Access



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/projects/{projectId}/documents/{documentId}/access
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/projects/{projectId}/documents/{documentId}/access:
    get:
      tags:
        - Documents
      summary: Access
      operationId: DocumentsController_access_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: projectId
          required: true
          in: path
          schema:
            type: string
        - name: documentId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentAccessResponseDto'
components:
  schemas:
    DocumentAccessResponseDto:
      type: object
      properties:
        url:
          type: string
        previewable:
          type: boolean
        expiresAt:
          type: string
          nullable: true
      required:
        - url
        - previewable
        - expiresAt

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.